<?php

namespace App\Classes\Modules\Bookings\DataTransferObjects;

use App\Classes\General\Interfaces\DataTransferObject;

class BookingObject implements DataTransferObject
{

    /** @var int */
    private $serviceId;

    /** @var int */
    private $transferableBankId;

    /** @var string  */
    private $marking;

    /** @var float */
    private $fixAmount;

    /** @var int */
    private $fixCurrencyId;

    /** @var int */
    private $convertibleCurrencyId;

    /** @var int */
    private $conversionCurrencyId;

    /**
     * BookingObject constructor.
     * @param int $serviceId
     * @param int $transferableBankId
     * @param string $marking
     * @param float $fixAmount
     * @param int $fixCurrencyId
     * @param int $convertibleCurrencyId
     * @param int $conversionCurrencyId
     */
    public function __construct(int $serviceId, int $transferableBankId, string $marking, float $fixAmount, int $fixCurrencyId, int $convertibleCurrencyId, int $conversionCurrencyId)
    {
        $this->serviceId = $serviceId;
        $this->transferableBankId = $transferableBankId;
        $this->marking = $marking;
        $this->fixAmount = $fixAmount;
        $this->fixCurrencyId = $fixCurrencyId;
        $this->convertibleCurrencyId = $convertibleCurrencyId;
        $this->conversionCurrencyId = $conversionCurrencyId;
    }

    /**
     * @return int
     */
    public function getServiceId(): int
    {
        return $this->serviceId;
    }

    /**
     * @return int
     */
    public function getTransferableBankId(): int
    {
        return $this->transferableBankId;
    }

    /**
     * @return string
     */
    public function getMarking(): string
    {
        return $this->marking;
    }

    /**
     * @return float
     */
    public function getFixAmount(): float
    {
        return $this->fixAmount;
    }

    /**
     * @return int
     */
    public function getFixCurrencyId(): int
    {
        return $this->fixCurrencyId;
    }

    /**
     * @return int
     */
    public function getConvertibleCurrencyId(): int
    {
        return $this->convertibleCurrencyId;
    }

    /**
     * @return int
     */
    public function getConversionCurrencyId(): int
    {
        return $this->conversionCurrencyId;
    }


}